version: '3.4'

services:
  server:
    build:
      context: .
    ports:
      - '8080:8080'
    volumes:
      - '.:/usr/src/server'
      - 'app_dependencies:/usr/src/server/node_modules'
  prisma:
    image: prismagraphql/prisma:1.11
    restart: always
    ports:
    - "4466:4466"
    environment:
      PRISMA_CONFIG: |
        port: 4466
        # uncomment the next line and provide the env var PRISMA_MANAGEMENT_API_SECRET=my-secret to activate cluster security
        # managementApiSecret: my-secret
        databases:
          default:
            connector: postgres
            host: postgres
            port: 5432
            user: prisma
            password: prisma
            migrations: true
  postgres:
    image: 'postgres:10.1-alpine'
    restart: always
    environment:
      POSTGRES_USER: prisma
      POSTGRES_PASSWORD: prisma
    volumes:
      - postgres:/var/lib/postgresql/data

volumes:
  app_dependencies:
  postgres: